CatalogPrice Lists
Create price list
Creates a price list with its scope, rules, and variant prices.
POST
/v1/catalog/price-listsCreates a price list with its scope, rules, and variant prices.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/price-lists" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "currency": "PEN", "isActive": false, "priority": 1, "scope": "product", "customerId": "7204558912004325301", "productId": "7204558912004325301", "productIds": [ "example" ] }'{ "id": "7204558912004325301"}